BUGLE-EPS(7)

NAME
bugle-eps - captures vector graphics representatios of scenes

SYNOPSIS

filterset eps
{
    filename "screenshot.eps"
    key_eps "key"
    title "My screenshot"
    bsp "no"
    buffer "10000000"
}

DESCRIPTION

This screenshot is similar to bugle-screenshot(7), but instead of a raster image, it produces a vector graphic suitable for printing. This is achieved through gl2ps[1], which is incorporated into bugle. The supported formats are Postscript, Encapsulated Postscript (EPS), Portable Document Format (PDF) and Scalable Vector Graphic SVG).

The capturing process utilises the OpenGL feedback buffer (see glFeedbackBuffer(3)), which creates some inherent limitations. No per-fragment effects (such as texturing or bitmap rendering) are captured, not will vertex programs work correctly. Essentially, the colour of each vertex must be either directly specified or determined by the OpenGL lighting model.

OPTIONS

filename
    The file to which the screenshot will be written. The extension is used to determine the file format. Valid extensions are .ps, .eps, .pdf and .svg.

key_eps
    The key-press which triggers the snapshot.

title
    The title that is embedded in Postscript and EPS files.

bsp
    If this boolean is enabled, the depth sorting is done with a BSP tree to give accurate results. This may be necessary to get correct results in scenes with complex occlusion, but it is much slower.

buffer
    The number of entries to allocate for the feedback buffer. If this is too low, the feedback buffer will overflow and the screenshot will fail. The default should be enough for most simple scenes, but for highly complex scenes it may be necessary to create a larger buffer.

AUTHOR

bugle is written and maintained by Bruce Merry.

SEE ALSO

bugle(3), glFeedbackBuffer(3)

NOTES

1.  gl2ps
    http://www.geuz.org/gl2ps/